Status: In Progress Start date: 28 Mar 2024

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.50 hour

Description

New syntax NewPolyRingElim(....) would be handy, and also easily transferred to CoCoA-5.

Design its interface (eg: vector of long?  strings?  weights?).

Related issues:

Related to CoCoA-5 - Feature #78: Elim ordering and matrix ordering in CoCoA-5 In Progress 16 Jan 2012

Related to CoCoALib - Feature #313: Elim(vector<long>) as PPOrderingCtor In Progress 15 Feb 2013

History

#1 - 28 Mar 2024 07:35 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 10

This issue originates #78 (for CoCoA-5).

However, elimination orderings are widely used in CoCoALib (not just for elimination), so we have many examples of applications: go through them to

design the easiest interface for the most common usage.

#2 - 28 Mar 2024 07:35 - Anna Maria Bigatti

- Related to Feature #78: Elim ordering and matrix ordering in CoCoA-5 added

#3 - 28 Mar 2024 07:36 - Anna Maria Bigatti

- Related to Feature #313: Elim(vector<long>) as PPOrderingCtor added
